summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rwxr-xr-xtcwg-benchmark.sh2
1 files changed, 1 insertions, 1 deletions
diff --git a/tcwg-benchmark.sh b/tcwg-benchmark.sh
index bdf1da36..2e0eb3f2 100755
--- a/tcwg-benchmark.sh
+++ b/tcwg-benchmark.sh
@@ -303,7 +303,7 @@ while [ $tries_left != 0 ]; do
tries_left=$(($tries_left-1))
if $reboot; then
- if ! ssh "$boardname" true || $force_power_cycle; then
+ if ! timeout 1m ssh "$boardname" true || $force_power_cycle; then
echo "Trying to power-cycle $boardname"
(
pdu_name=$(echo "${boardname%.tcwglab}" \